/**********/
/* HEADER */
/**********/
.header {
    display: flex;
    justify-content: space-between;
    align-items: center;

    background-color: #000;
    height: 9.6rem;
    padding: 0 4.8rem;
}

.main-nav {
    text-align: center;
    z-index: 1000;
}

.main-nav-list {
    display: flex;
    gap: 4.8rem;
    align-items: center;
    list-style: none;
}

.main-nav-link:link, .main-nav-link:visited {
    display: inline-block;
    padding: 1.2rem 2.4rem;

    text-decoration: none;
    color: #f7921e;
    font-size: 1.8rem;
    font-weight: 500;

    transition: all 0.3s;
}

.main-nav-link:hover, .main-nav-link:active{
    color: #de831b;
}

.logo {
    display: flex;
    align-items: center;
    text-decoration: none;
}

.logo-icon {
    width: 6.2rem;
    height: 6.2rem;
}

.logo-text {
    font-weight: 700;
    font-size: 3.6rem;
    color: #f7921e;
    letter-spacing: -1px;

    margin-left: -1rem;
}

.btn-mobile-nav {
    display: none;

    border: none;
    background: none;
    cursor: pointer;
}

/*HAMBURGER MENU*/
.ham {
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
    transition: transform 0.4s;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.ham7 .top {
    stroke-dasharray: 40 82;
}
.ham7 .middle {
    stroke-dasharray: 40 111;
}
.ham7 .bottom {
    stroke-dasharray: 40 161;
}
.ham7.active .top {
    stroke-dasharray: 17 82;
    stroke-dashoffset: -62px;
}
.ham7.active .middle {
    stroke-dashoffset: 23px;
}
.ham7.active .bottom {
    stroke-dashoffset: -83px;
}

.hamRotate.active {
    transform: rotate(45deg);
}
.hamRotate180.active {
    transform: rotate(180deg);
}

.line {
    fill:none;
    transition: stroke-dasharray 400ms, stroke-dashoffset 400ms;
    stroke:#f7921e;
    stroke-width:5.5;
    stroke-linecap:round;
}

/*STICKY NAVE*/
.sticky .header{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;

    width: 100%;
    height: 8rem;
    box-shadow: 0 1.2rem 3.2rem #fef4e907;

    padding-top: 0;
    padding-bottom: 0;
}

.sticky .section-hero {
    margin-top: 9.6rem;
}

/****************/
/* HERO SECTION*/
/****************/
.section-hero {
    background-color: #000;
    padding: 4.8rem 0 9.6rem 0;
}

.hero {
    display: grid;
    grid-template-columns: 55fr 45fr;
    align-items: center;
    gap: 3.2rem;

    margin-left: 4.8rem;
    max-width: 100%;
}

.hero-img {
    width: 60%;
    justify-self: right;
    animation: flashy 5s infinite;
    filter: drop-shadow(0 0  2rem #f7921e90);
}

@keyframes flashy {
    25%{filter: drop-shadow(0 0  2rem #f7921e)}
    50%{filter: drop-shadow(0 0  2rem #f7921e90)}
    75%{filter: drop-shadow(0 0  2rem #f7921e)}
    100%{filter: drop-shadow(0 0  2rem #f7921e90)}
}

.hero-text {
    font-size: 1.8rem;
    line-height: 1.8;
    color: #fde9d2;

    margin-bottom: 4.4rem;
}

/*********************/
/* CHEF MADE SECTION*/
/********************/

.section-chef-made {
    background-color: #000;
    padding: 9.6rem 0;
}

.pizza {
    background-color: #fef4e9;
    display: grid;
    align-items: center;
    grid-template-columns: 55fr 45fr;
    gap: 2.4rem;
    box-shadow: 0 1.2rem 2.4rem 0 #f7921e15;

    border-radius: 4.4rem;
    overflow: hidden;
}

.pizza-content {
    padding: 1.2rem;
}

.pizza-attributes {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 1.6rem;

    margin-bottom: 2rem;
}

.pizza-attribute {
    display: flex;
    align-items: center;

    gap: 1.6rem;
}

.pizza-img-box {
    overflow: hidden;
    width: 100%;
    height: 100%;
}

.pizza-img {
    width: 100%;
    height: 100%;
    transition: all 0.4s;
}

.pizza-img:hover {
    transform: scale(1.1);
}

.tags {
    margin-bottom: 1.2rem;
    display: flex;
    gap: 0.8rem;
}

.pizza-attributes span {
    font-size: 1.6rem;
}

.pizza-name {
    font-weight: 600;
    font-size: 3rem;
    color: #de831b;

    margin-bottom: 1.6rem;
}

.buy {
    display: flex;
    align-items: center;
    gap: 3.6rem;
}

.buy-btn {
    padding: 0.4rem 2.4rem;
    background-color: #f7921e;
    border-radius: 1000px;

    transition: all 0.3s;
}

.buy-btn:hover {
    background-color: #de831b;
}

.buy-btn-icon {
    width: 3.4rem;
    height: 3.4rem;
}

.side-bar {
    background-color: #fef4e9;
    grid-column: 1/-1;
    border-radius: 1000px;
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    align-items: center;
    padding: 2.4rem 8rem;
    gap: 4.8rem;
    margin-top: 3.2rem;
}

.side {
    display: flex;
    flex-direction: column;
    align-items: center;
}


.side-img-box {
    overflow: hidden;
    width: 7.4rem;
    height: 7.4rem;
    border-radius: 50%;
    margin-bottom: 1.2rem;
}

.side-img {
    width: 100%;
    height: 100%;
    transition: all 0.4s;
}

.side-img:hover {
    transform: scale(1.1);
}

.side-text {
    font-size: 1.8rem;
    font-weight: 500;
    margin-bottom: 1.6rem;
}

.side-buy-btn {
    padding: 0.4rem 2.4rem;
    background-color: #f7921e;
    border-radius: 1000px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 60%;
    width: 100%;

    transition: all 0.3s;
}

.side-buy-btn:hover {
    background-color: #de831b;
}

.side-buy-btn-icon {
   width: 6.2rem;
    height: 6.2rem;
}

.link:link, .link:visited {
    display: inline-block;
    color: #f7921e;
    font-size: 1.8rem;
    grid-column: 1/-1;
    justify-self: center;
    text-decoration: none;
    padding-bottom: 2px;
    transition: all 0.3s;
}

.link:hover, .link:active {
    color: #de831b;
    border-bottom: 1px solid currentColor;
}
/*******************/
/* FEATURE SECTION*/
/******************/

.section-feature {
    background-color: #000;
    padding: 9.6rem 0;
}

.feature {
    padding: 3.2rem;
    transition: all 0.3s;
    border-radius: 4.4rem;
    background-color: #fef4e9;
}

.feature:hover {
    transform: translateY(-10px);
}

.feature-title {
    font-size: 2rem;
    font-weight: 600;
    margin-top: 3.2rem;
    margin-bottom: 1.6rem;
}

.feature-description {
    font-size: 1.8rem;
    line-height: 1.8;
}

.feature-icon {
    width: 6.2rem;
    height: 6.2rem;
    background-color: #fddebc;
    border-radius: 50%;
}
/*********************/
/* CUSTOMIZE SECTION*/
/********************/

.section-customize {
    background-color: #000;
    padding: 9.6rem 0;
}

.customize {
    display: grid;
    grid-template-columns: 3fr 2fr 1fr;
    justify-items: center;
    align-items: center;
    padding: 4.8rem 9.6rem;
    background-color: #fef4e9;
    border-radius: 4.4rem;
}

.stack {
    position: relative;
    width: 40rem;
    height: 40rem;
    display: block;
    box-shadow: 0 1.2rem 2.4rem #00000030;
    border-radius: 50%;
}

.plate-img {
    padding: 1.2rem;
    display: block;
    background-color: #fef4e9;
    border-radius: 50%;
    border: 2.4rem solid #fddebc;
    position: absolute;
    width: 40rem;
    height: 40rem;
    z-index: 1;
}

.customize-img {
    padding: 5.6rem;
    display: none;
    visibility: hidden;
    opacity: 0;
    width: 40rem;
    height: 40rem;
    position: absolute;
    transition: all0.3s;
}

.customize-img.current {
    display: block;
    visibility: visible;
    opacity: 1;
}

.customize-img.dough-img, .customize-img.sauce-img{
    padding: 3.6rem;
}

.dough-img {
    z-index: 2;
}

.sauce-img {
    z-index: 3;
}

.cheese-img {
    z-index: 4;
}

.protein-img {
    z-index: 5;
}

.vegetable-img {
    z-index: 6;
}

.customize-bar {
    display: grid;
    grid-template-columns: 1fr;
    gap: 4.8rem;
    grid-column: 3;
}

.topping, .step{
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    background-color: #fde9d2;
    box-shadow: 0 1.2rem 2.4rem #00000030;
    border-radius: 50%;
    position: relative;
    transition: all 0.3s;
}

.topping.current, .step.current{
    box-shadow: 0 0 0 0.8rem #fddebc, 0 1.2rem 2.4rem #00000030;
}

.topping:hover , .step:hover{
    transform: scale(1.05);
}

.topping:active , .step:active{
    box-shadow: 0 1.2rem 2.4rem #00000020;
}

.topping-name, .step-name{
    visibility: hidden;
    width: 12rem;
    background-color: #fddebc;
    text-align: center;
    border-radius: 4.4rem;
    padding: 0.4rem 0;
    position: absolute;
    z-index: 1000;
    bottom: 110%;
    left: 50%;
    margin-left: -6rem;
    opacity: 0;
    transition: opacity 0.3s;
    font-weight: 600;
    font-size: 1.6rem;
}

.topping-name::after, .step-name::after{
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -0.5rem;
    border-width: 0.5rem;
    border-style: solid;
    border-color: #fddebc transparent transparent transparent;
}

.topping:hover .topping-name , .step:hover .step-name{
    visibility: visible;
    opacity: 1;
}

.topping-img, .step-img{
    width: 7.8rem;
    height: 7.8rem;
    border: 0.4rem solid #fef4e9;
    border-radius: 50%;
    cursor: pointer;
}

.toppings {
    display: none;
    visibility: hidden;
    opacity: 0;
    transition: all 0.3s;
}

.toppings.current {
    visibility: visible;
    opacity: 1;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 4.8rem;
}

.toppings.vegetable.current {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.customize-specifications {
    display: flex;
    flex-direction: column;
    gap: 2.4rem;
    background-color: #fde9d2;
    padding: 2.4rem;
    border-radius: 4.4rem;
    box-shadow: 0 1.2rem 2.4rem #00000030;
}

.customize-specification {
    display: flex;
    align-items: center;
    gap: 1.2rem;
    width: 22rem;
}

.customize-specification-text {
    font-size: 1.8rem;
}

.output {
    display: flex;
    flex-direction: column;
    gap: 4.8rem;
    justify-content: center;
    align-items: center;
}

.customize-buy-icon {
    width: 4.8rem;
    height: 4.8rem;
}

/*****************/
/* FOOTER SECTION*/
/*****************/

.footer {
    padding: 12.8rem 0;
    background-color: #fde9d2;
}

.grid--footer {
    grid-template-columns: 1.5fr 1.5fr 1fr 1fr 1fr;
    background-color: #fde9d2;
}

.logo-col {
    display: flex;
    flex-direction: column;
}

.footer-logo {
    margin-bottom: 3.2rem;
}

.social-links {
    display: flex;
    gap: 2.4rem;

    list-style: none;
}

.social-icon {
    font-size: 2.4rem;
}

.copyright {
    font-size: 1.4rem;
    color: #767676;
    line-height: 1.6;

    margin-top: auto;
}

.footer-heading {
    font-size: 1.8rem;
    font-weight: 500;

    margin-bottom: 4rem;
}

.contacts {
    font-style: normal;
    font-size: 1.6rem;
    line-height: 1.6;
}

.address {
    margin-bottom: 2.4rem;
}

.footer-nav {
    display: flex;
    flex-direction: column;
    gap: 2.4rem;

    list-style: none;
}

.footer-link:link, .footer-link:visited {
    text-decoration: none;
    font-size: 1.6rem;
    color: #767676;

    transition: all 0.3s;
}

.footer-link:hover, .footer-link:active {
    color: #555;
}

/* wave */
.wave-container {
    background-color: #000;
}

.waves {
    position:relative;
    width: 100%;
    height:15vh;
    margin-bottom:-7px; /*Fix for safari gap*/
    min-height:100px;
    max-height:150px;
}

/* Animation */

.parallax > use {
    animation: move-forever 25s cubic-bezier(.55,.5,.45,.5) infinite;
}
.parallax > use:nth-child(1) {
    animation-delay: -2s;
    animation-duration: 7s;
}
.parallax > use:nth-child(2) {
    animation-delay: -3s;
    animation-duration: 10s;
}
.parallax > use:nth-child(3) {
    animation-delay: -4s;
    animation-duration: 13s;
}
.parallax > use:nth-child(4) {
    animation-delay: -5s;
    animation-duration: 20s;
}
@keyframes move-forever {
    0% {
        transform: translate3d(-90px,0,0);
    }
    100% {
        transform: translate3d(85px,0,0);
    }
}